Adjust the event_log table to facilitate logging of more chronological information

Bug #1692385 reported by Robert Lyon on 2017-05-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Robert Lyon

Bug Description

Currently for a number of things we only record the creation time (ctime) and last time they were interacted with (mtime). For views we also record last accessed time (atime).

It would be better if we recorded the changes over time for things.

So will add some _logging tables to record this info

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7775

Robert Lyon (robertl-9) wrote :

Actually it might be better to adjust the event_log table to record more the information we need

And also remove cruft info from current event log rows

summary: - Add more tables to facilitate logging of more chronological information
+ Adjust the event_log table to facilitate logging of more chronological
+ information

Reviewed: https://reviews.mahara.org/7776
Committed: https://git.mahara.org/mahara/mahara/commit/433ab8e6d309a2174c5b523f3a6c354f14f61587
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 433ab8e6d309a2174c5b523f3a6c354f14f61587
Author: Robert Lyon <email address hidden>
Date: Tue May 23 14:12:50 2017 +1200

Bug 1692749: Security: Stop event log having plain text passwords

This patch only deals with:
1) removing passwords from existing event_log table data
2) stopping the recording of passwords into the event_log table
3) sets the reset password on next login for those users

It doesn't deal with removing the unnecessary cruft information
that will be handled by the bug 1692385

behatnotneeded

Change-Id: Id29148f78fa6918f5f5afcb89d211ccb3b60c95b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7784
Committed: https://git.mahara.org/mahara/mahara/commit/fd71dd6d3165a9670f6b1672e9c2056bff1a70f5
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit fd71dd6d3165a9670f6b1672e9c2056bff1a70f5
Author: Robert Lyon <email address hidden>
Date: Tue May 23 14:12:50 2017 +1200

Bug 1692749: Security: Stop event log having plain text passwords

This patch only deals with:
1) removing passwords from existing event_log table data
2) stopping the recording of passwords into the event_log table
3) sets the reset password on next login for those users

It doesn't deal with removing the unnecessary cruft information
that will be handled by the bug 1692385

behatnotneeded

Change-Id: Id29148f78fa6918f5f5afcb89d211ccb3b60c95b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7785
Committed: https://git.mahara.org/mahara/mahara/commit/8a5b12e380ed2cfb4203c16838aced0d40e80c10
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 8a5b12e380ed2cfb4203c16838aced0d40e80c10
Author: Robert Lyon <email address hidden>
Date: Tue May 23 14:12:50 2017 +1200

Bug 1692749: Security: Stop event log having plain text passwords

This patch only deals with:
1) removing passwords from existing event_log table data
2) stopping the recording of passwords into the event_log table
3) sets the reset password on next login for those users

It doesn't deal with removing the unnecessary cruft information
that will be handled by the bug 1692385

behatnotneeded

Change-Id: Id29148f78fa6918f5f5afcb89d211ccb3b60c95b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7786
Committed: https://git.mahara.org/mahara/mahara/commit/bd4941ba5ed622a8d66a201a5de515ad09fc42f5
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit bd4941ba5ed622a8d66a201a5de515ad09fc42f5
Author: Robert Lyon <email address hidden>
Date: Tue May 23 14:12:50 2017 +1200

Bug 1692749: Security: Stop event log having plain text passwords

This patch only deals with:
1) removing passwords from existing event_log table data
2) stopping the recording of passwords into the event_log table
3) sets the reset password on next login for those users

It doesn't deal with removing the unnecessary cruft information
that will be handled by the bug 1692385

behatnotneeded

Change-Id: Id29148f78fa6918f5f5afcb89d211ccb3b60c95b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7787
Committed: https://git.mahara.org/mahara/mahara/commit/e73331901ea8f6527ebc4cdda86285ef6325f285
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.04_STABLE

commit e73331901ea8f6527ebc4cdda86285ef6325f285
Author: Robert Lyon <email address hidden>
Date: Tue May 23 14:12:50 2017 +1200

Bug 1692749: Security: Stop event log having plain text passwords

This patch only deals with:
1) removing passwords from existing event_log table data
2) stopping the recording of passwords into the event_log table
3) sets the reset password on next login for those users

It doesn't deal with removing the unnecessary cruft information
that will be handled by the bug 1692385

behatnotneeded

Change-Id: Id29148f78fa6918f5f5afcb89d211ccb3b60c95b
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/7939
Committed: https://git.mahara.org/mahara/mahara/commit/a3d904e16bb0dbf8621842dafdd0feb9c3c0f9b8
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit a3d904e16bb0dbf8621842dafdd0feb9c3c0f9b8
Author: Robert Lyon <email address hidden>
Date: Mon Aug 21 11:18:15 2017 +1200

Bug 1692385: Adjusting the handle event for 'updateviewaccess'

We want to record things like so:

resourceid = view_access.id
resourcetype = what type the view_access row is for, eg 'token',
'user', 'loggedin' etc
parentresourceid = the id if the view the access is for
parentresourcetype = 'view';
ownerid = the id of the owning resource, eg usr.id / group.id / institution.name
ownertype = what owns the resource, eg user / group / institution

Also this patch adjusts how we index things into elasticsearch

behatnotneeded

Change-Id: I079a42ded2fefaab64a6e49fc26e8aad303c9e8a
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7775
Committed: https://git.mahara.org/mahara/mahara/commit/ebd928b11e79c0054133b284c2a49bb8a86d3a2f
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ebd928b11e79c0054133b284c2a49bb8a86d3a2f
Author: Robert Lyon <email address hidden>
Date: Tue May 23 12:55:41 2017 +1200

Bug 1692385: Adjusting the event_log table

Add 5 new new columns to event_log table make searching over the
data easier and also record the id of any parent/related info as well

Eg, if one deletes an image block from a page we now record:
id - the event id
resourceid - the block id
resourcetype - the blocktype, eg image
parentresourceid - the id of the parent, eg view id
parentresourcetype - the type of parent, eg 'view'

Because we would not be able to find related view info from just the
block id anymore.

Also added the ability to index and search over event information in
elasticsearch search type event_log

Change-Id: I280c1c75c35a6c58f42d8acb36cf5c24c70b902d
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2017-09-21
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8124

Reviewed: https://reviews.mahara.org/8124
Committed: https://git.mahara.org/mahara/mahara/commit/a09deac533db8afe8a7154ef1f7dc10159aa0b05
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit a09deac533db8afe8a7154ef1f7dc10159aa0b05
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Tue Oct 10 22:58:05 2017 +1300

Bug 1692385: Add human-readable lang strings for last activity

In the report "User activity", one column displays
the last activity. Human-readable language strings
have been created to make it easier for people to
understand the activity.

behatnotneeded

Change-Id: I877394edbf41606b0d0f98bde7e05250aaa99843

Reviewed: https://reviews.mahara.org/8126
Committed: https://git.mahara.org/mahara/mahara/commit/51b5b5b370ad88607bc89711b9e1003ba1576e3e
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 51b5b5b370ad88607bc89711b9e1003ba1576e3e
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Tue Oct 10 22:58:05 2017 +1300

Bug 1692385: Add human-readable lang strings for last activity

In the report "User activity", one column displays
the last activity. Human-readable language strings
have been created to make it easier for people to
understand the activity.

behatnotneeded

Change-Id: I877394edbf41606b0d0f98bde7e05250aaa99843
(cherry picked from commit a09deac533db8afe8a7154ef1f7dc10159aa0b05)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8123
Committed: https://git.mahara.org/mahara/mahara/commit/814cbd4065ecb0389d883061f53ec0393ec6afa3
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 814cbd4065ecb0389d883061f53ec0393ec6afa3
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Tue Oct 10 22:45:21 2017 +1300

Bug 1692385: Update lang strings & add help files

Update a number of language strings that were either
missing or in the wrong place.

Added help files for the "User activity" report columns.

behatnotneeded

Change-Id: If0758649b749451827eb6f9b426c410776b9c5bb

Reviewed: https://reviews.mahara.org/8139
Committed: https://git.mahara.org/mahara/mahara/commit/c7e4844344982a1b527ece70b6c3211a5a9532ba
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit c7e4844344982a1b527ece70b6c3211a5a9532ba
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Tue Oct 10 22:45:21 2017 +1300

Bug 1692385: Update lang strings & add help files

Update a number of language strings that were either
missing or in the wrong place.

Added help files for the "User activity" report columns.

behatnotneeded

Change-Id: If0758649b749451827eb6f9b426c410776b9c5bb
(cherry picked from commit 814cbd4065ecb0389d883061f53ec0393ec6afa3)

Reviewed: https://reviews.mahara.org/8143
Committed: https://git.mahara.org/mahara/mahara/commit/5a911c578d1898829175032af572bb3ebfb82cfd
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5a911c578d1898829175032af572bb3ebfb82cfd
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Mon Oct 16 08:07:35 2017 +1300

Bug 1692385: Update "Last activity" lang strings

The "Last activity" lang strings and help file
needed a couple more updates to make things
clearer and correct a lang string.

behatnotneeded

Change-Id: If980dbdba5fed769ea0483330ca71e9ba38b25e9

Reviewed: https://reviews.mahara.org/8147
Committed: https://git.mahara.org/mahara/mahara/commit/42fd20d3e71dd63bfef9a56a928118a672ffe220
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 42fd20d3e71dd63bfef9a56a928118a672ffe220
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Mon Oct 16 08:07:35 2017 +1300

Bug 1692385: Update "Last activity" lang strings

The "Last activity" lang strings and help file
needed a couple more updates to make things
clearer and correct a lang string.

behatnotneeded

Change-Id: If980dbdba5fed769ea0483330ca71e9ba38b25e9
(cherry picked from commit 5a911c578d1898829175032af572bb3ebfb82cfd)

tags: added: nominatedfeature

Reviewed: https://reviews.mahara.org/8197
Committed: https://git.mahara.org/mahara/mahara/commit/7a2f5e1007ff5f113fd392eb3582a9bd67a4f8e5
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 7a2f5e1007ff5f113fd392eb3582a9bd67a4f8e5
Author: Robert Lyon <email address hidden>
Date: Mon Oct 30 09:41:16 2017 +1300

Bug 1692385: Make time column be ctime column on install

behatnotneeded

Change-Id: I9f993ca61a1309bcd75dac5f4f77737b1f060c54
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/8198
Committed: https://git.mahara.org/mahara/mahara/commit/389b22103b04157c90d416c3da5cbbcc1dd2c927
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 389b22103b04157c90d416c3da5cbbcc1dd2c927
Author: Robert Lyon <email address hidden>
Date: Mon Oct 30 09:41:16 2017 +1300

Bug 1692385: Make time column be ctime column on install

behatnotneeded

Change-Id: I9f993ca61a1309bcd75dac5f4f77737b1f060c54
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 7a2f5e1007ff5f113fd392eb3582a9bd67a4f8e5)

Robert Lyon (robertl-9) on 2017-10-30
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints